<template>
  <div class="static-device-in">
    <t-tabs v-model="curStep">
      <t-tab-panel value="设备签收登记" label="设备签收登记">
        <Tab1 :sop="sop" />
      </t-tab-panel>
      <t-tab-panel value="设备去处登记" label="设备去处登记"
        ><Tab2 :sop="sop" @getTableData="getTableData" />
      </t-tab-panel>
    </t-tabs>
  </div>
</template>
<script name="STATIC_DEVICE_IN" setup>
import { ref } from 'vue';
import Tab1 from '@/components/common/device-manage-new/tab1.vue';
import Tab2 from '@/components/common/device-manage-new/tab2.vue';
const emit = defineEmits(['getTableData']);
const props = defineProps({
  visible: Boolean,
  sop: {
    type: Object,
    default() {
      return {};
    },
  },
});
const curStep = ref('设备签收登记');
const getTableData = (val) => {
  emit('getTableData', val);
};
</script>
<style lang="less" scoped></style>
